
Foreman - Feature #11223

Make subnets/freeip available through the API

07/27/2015 02:00 PM - John Brooker

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I update a hosts interface to reflect that it is now in the build subnet for a given smart-proxy node I would like to be able to

query out a freeIP address to assign to it via the API.

I can do this via the GUI by going to the host and setting the subnet and then having it suggest a free IP address but I'm using the

API to configure hosts.

something like this would be nice (ignoring the lack of AUTH)

curl -k "https://FOREMANURL/api/subnets/freeip" --data "subnet_id=1&host_mac=44:1e:a1:6f:25:6c&taken_ips=1.1.1.1"

returns: {"ip":"10.240.4.25"}

Related issues:

Related to Foreman - Feature #7285: add ability to allocate an IP address via... New 08/27/2014

Is duplicate of Foreman - Feature #9110: Add freeip route to API Closed 01/26/2015

History

#1 - 07/28/2015 03:24 AM - Dominic Cleal

- Is duplicate of Feature #9110: Add freeip route to API added

#2 - 07/28/2015 03:24 AM - Dominic Cleal

- Related to Feature #7285: add ability to allocate an IP address via the API added

#3 - 07/28/2015 03:25 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we're tracking this under #9110 and I think the API should probably support doing this automatically too (like it does for hosts)

via #7285.
